Bug 1256443 - [abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by SIGSEGV
[abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libgnomekbd (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1d67c997fcebf944d8eec616c81...
:
: 1262553 (view as bug list)
Depends On:
Blocks: WaylandRelated WaylandByDefault
  Show dependency treegraph
 
Reported: 2015-08-24 11:07 EDT by Алексей Смирнов
Modified: 2017-01-18 09:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-18 09:33:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.08 KB, text/plain)
2015-08-24 11:08 EDT, Алексей Смирнов
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-24 11:08 EDT, Алексей Смирнов
no flags Details
File: core_backtrace (1.94 KB, text/plain)
2015-08-24 11:08 EDT, Алексей Смирнов
no flags Details
File: dso_list (8.60 KB, text/plain)
2015-08-24 11:10 EDT, Алексей Смирнов
no flags Details
File: environ (847 bytes, text/plain)
2015-08-24 11:10 EDT, Алексей Смирнов
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-24 11:10 EDT, Алексей Смирнов
no flags Details
File: maps (38.54 KB, text/plain)
2015-08-24 11:11 EDT, Алексей Смирнов
no flags Details
File: mountinfo (3.33 KB, text/plain)
2015-08-24 11:11 EDT, Алексей Смирнов
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-24 11:11 EDT, Алексей Смирнов
no flags Details
File: open_fds (830 bytes, text/plain)
2015-08-24 11:11 EDT, Алексей Смирнов
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-08-24 11:11 EDT, Алексей Смирнов
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-24 11:11 EDT, Алексей Смирнов
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-08-24 11:11 EDT, Алексей Смирнов
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 768113 None None None 2016-09-13 12:57 EDT

  None (edit)
Description Алексей Смирнов 2015-08-24 11:07:54 EDT
Version-Release number of selected component:
libgnomekbd-3.6.0-8.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        gkbd-keyboard-display -l us
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     5780
kernel:         4.2.0-0.rc7.git4.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 xkl_engine_constructor at /lib64/libxklavier.so.16
 #1 g_object_new_internal at /lib64/libgobject-2.0.so.0
 #2 g_object_new_valist at /lib64/libgobject-2.0.so.0
 #4 xkl_engine_get_instance at /lib64/libxklavier.so.16
Comment 1 Алексей Смирнов 2015-08-24 11:08:03 EDT
Created attachment 1066464 [details]
File: backtrace
Comment 2 Алексей Смирнов 2015-08-24 11:08:04 EDT
Created attachment 1066465 [details]
File: cgroup
Comment 3 Алексей Смирнов 2015-08-24 11:08:05 EDT
Created attachment 1066466 [details]
File: core_backtrace
Comment 4 Алексей Смирнов 2015-08-24 11:10:56 EDT
Created attachment 1066467 [details]
File: dso_list
Comment 5 Алексей Смирнов 2015-08-24 11:10:58 EDT
Created attachment 1066468 [details]
File: environ
Comment 6 Алексей Смирнов 2015-08-24 11:10:59 EDT
Created attachment 1066469 [details]
File: limits
Comment 7 Алексей Смирнов 2015-08-24 11:11:01 EDT
Created attachment 1066470 [details]
File: maps
Comment 8 Алексей Смирнов 2015-08-24 11:11:03 EDT
Created attachment 1066471 [details]
File: mountinfo
Comment 9 Алексей Смирнов 2015-08-24 11:11:04 EDT
Created attachment 1066472 [details]
File: namespaces
Comment 10 Алексей Смирнов 2015-08-24 11:11:06 EDT
Created attachment 1066473 [details]
File: open_fds
Comment 11 Алексей Смирнов 2015-08-24 11:11:07 EDT
Created attachment 1066474 [details]
File: proc_pid_status
Comment 12 Алексей Смирнов 2015-08-24 11:11:09 EDT
Created attachment 1066475 [details]
File: var_log_messages
Comment 13 Алексей Смирнов 2015-08-24 11:11:12 EDT
Created attachment 1066476 [details]
File: exploitable
Comment 14 Jan Kurik 2016-02-24 08:39:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Christian Stadelmann 2016-06-01 12:14:33 EDT
I got this backtrace when trying to display the keyboard layout on a gnome+wayland session. This always immediately results in a SEGV. When specifying GDK_BACKEND=x11, it crashes at a later point in execution or runs fine.
Comment 16 Matthias Clasen 2016-08-31 18:43:05 EDT
In theory, it should be possible to make gkbd-keyboard-display work under wayland, since we're using xkb there too. If that is too hard, we should at least disable the button in the region panel under wayland.
Comment 17 Christian Stadelmann 2016-09-06 14:24:53 EDT
(In reply to Matthias Clasen from comment #16)
> In theory, it should be possible to make gkbd-keyboard-display work under
> wayland, since we're using xkb there too. If that is too hard, we should at
> least disable the button in the region panel under wayland.

And also in the gnome-shell keyboard-switcher dropdown menu, which is only visible in case you have multiple keyboard layouts configured.

Having it ported would be preferred, of course.
Comment 18 Christian Stadelmann 2016-09-28 16:07:47 EDT
*** Bug 1262553 has been marked as a duplicate of this bug. ***
Comment 19 Christian Stadelmann 2016-11-05 12:39:08 EDT
the keyboard layout window is now using X11 (enforced). The crasher is gone for me now.
Comment 20 Christian Stadelmann 2017-01-18 09:17:15 EST
Can somebody please close this bug, it is fixed upstream on Fedora 25 for quite some time.

Note You need to log in before you can comment on or make changes to this bug.